Subject: Re: [PATCH] udf: use ext2_find_next_bit

From: Jan Kara <[email-masked]>
Date: Mon, 1 Mar 2010 11:54:51 +0100

On Sun 28-02-10 15:07:17, Geert Uytterhoeven wrote:
> On Sun, Feb 28, 2010 at 11:04, Geert Uytterhoeven <[email-masked]> wrote:
> > On Thu, Feb 25, 2010 at 15:29, Akinobu Mita <[email-masked]> wrote:
> >> 2010/2/25 Geert Uytterhoeven <[email-masked]>:
> >>> On Thu, Feb 25, 2010 at 02:38, Akinobu Mita <[email-masked]> wrote:
> >>>> 2010/2/25 Jan Kara <[email-masked]>:
> >>>>> On Tue 23-02-10 23:11:13, Akinobu Mita wrote:
> >>>>>> Use ext2_find_next_bit (generic_find_next_le_bit) to find the set bit
> >>>>>> in little endian bitmap region.
> >>>
> >>> Is any of this in linux-next now?
> >>>
> >>> http://kisskb.ellerman.id.au/kisskb/buildresult/2208481/
> >>> | fs/udf/balloc.c:274: error: implicit declaration of function
> >>> 'generic_find_next_le_bit'
> >>
> >> Yep, Jan's patch caused the build breakage.
> >>
> >> Because generic_find_next_le_bit() is not available for all
> >> archtectures. So we should use ext2_find_next_bit() here.
> >
> > Most architectures use the definitions in asm-generic, so they're OK.
> > M68k doesn't. S390 is also affected, and I think arm as well (but there's no
> > arm all-modconfig build in linux-next, so I'm not 100% sure).
> >
> > I'm cooking a patch...
> 
> From c9b5c7e6ef2092be822778a0b6b3d3032c058f5b Mon Sep 17 00:00:00 2001
> From: Geert Uytterhoeven <[email-masked]>
> Date: Sun, 28 Feb 2010 13:06:27 +0100
> Subject: [PATCH] m68k: Implement generic_find_next_{zero_,}le_bit()
> 
> linux-next:
> fs/udf/balloc.c: In function 'udf_bitmap_new_block':
> fs/udf/balloc.c:274: error: implicit declaration of function
> 'generic_find_next_le_bit'
> 
> Convert ext2_find_next_{zero_,}bit() into generic_find_next_{zero_,}le_bit(),
> and wrap the ext2_find_next_{zero_,}bit() around the latter.
  I've now used Akinobu's patch so yours isn't really needed but it's a
good cleanup anyway in my opinion.

									Honza
-- 
Jan Kara <[email-masked]>
SUSE Labs, CR